# Class default

Modified Merkle Patricia Tree The tree has a node weight of 16 It stores items with hexidecimal keys and creates a new layer when a given layer has two keys that start with the same nibble

#### Hierarchy

- default

#### Implements

- Puttable

- Defined in fs/protocol/private/mmpt.ts:27

#####
Index

### Constructors

constructor

### Properties

children
depot
links

### Methods

add
addEmptyChild
directChildExists
exists
get
getDirectChild
members
nextTreeName
nextTreeOrSiblingName
put
putAndUpdateChildLink
putDetailed
removeChild
create
fromCID

## Constructors

### constructor

- new default(depot: Depot.Implementation, links: SimpleLinks): default

- #### Parameters

  - ##### depot: Depot.Implementation

  - ##### links: SimpleLinks

  #### Returns default

  - Defined in fs/protocol/private/mmpt.ts:34

## Properties

### children

children: {
[name: string]: default;
}

#### Type declaration

- ##### [name: string]: default

- Defined in fs/protocol/private/mmpt.ts:32

### depot

depot: Depot.Implementation

- Defined in fs/protocol/private/mmpt.ts:29

### links

links: SimpleLinks

- Defined in fs/protocol/private/mmpt.ts:31

## Methods

### add

- add(name: string, value: CID<unknown, number, number, Version>): Promise<void>

- #### Parameters

  - ##### name: string

  - ##### value: CID<unknown, number, number, Version>

  #### Returns Promise<void>

  - Defined in fs/protocol/private/mmpt.ts:58

### addEmptyChild

- addEmptyChild(name: string): default

- #### Parameters

  - ##### name: string

  #### Returns default

  - Defined in fs/protocol/private/mmpt.ts:113

### `Private` directChildExists

- directChildExists(name: string): boolean

- #### Parameters

  - ##### name: string

  #### Returns boolean

  - Defined in fs/protocol/private/mmpt.ts:176

### exists

- exists(name: string): Promise<boolean>

- #### Parameters

  - ##### name: string

  #### Returns Promise<boolean>

  - Defined in fs/protocol/private/mmpt.ts:129

### get

- get(name: string): Promise<null | CID<unknown, number, number, Version>>

- #### Parameters

  - ##### name: string

  #### Returns Promise<null | CID<unknown, number, number, Version>>

  - Defined in fs/protocol/private/mmpt.ts:119

### `Private` getDirectChild

- getDirectChild(name: string): Promise<default>

- #### Parameters

  - ##### name: string

  #### Returns Promise<default>

  - Defined in fs/protocol/private/mmpt.ts:150

### members

- members(): Promise<Member[]>

- #### Returns Promise<Member[]>

  - Defined in fs/protocol/private/mmpt.ts:133

### `Private` nextTreeName

- nextTreeName(name: string): null | string

- #### Parameters

  - ##### name: string

  #### Returns null | string

  - Defined in fs/protocol/private/mmpt.ts:180

### `Private` nextTreeOrSiblingName

- nextTreeOrSiblingName(name: string): null | string

- #### Parameters

  - ##### name: string

  #### Returns null | string

  - Defined in fs/protocol/private/mmpt.ts:189

### put

- put(): Promise<CID<unknown, number, number, Version>>

- #### Returns Promise<CID<unknown, number, number, Version>>

  Implementation of Puttable.put

  - Defined in fs/protocol/private/mmpt.ts:53

### putAndUpdateChildLink

- putAndUpdateChildLink(name: string): Promise<void>

- #### Parameters

  - ##### name: string

  #### Returns Promise<void>

  - Defined in fs/protocol/private/mmpt.ts:98

### putDetailed

- putDetailed(): Promise<PutResult>

- #### Returns Promise<PutResult>

  Implementation of Puttable.putDetailed

  - Defined in fs/protocol/private/mmpt.ts:49

### `Private` removeChild

- removeChild(name: string): void

- #### Parameters

  - ##### name: string

  #### Returns void

  - Defined in fs/protocol/private/mmpt.ts:169

### `Static` create

- create(depot: Depot.Implementation): default

- #### Parameters

  - ##### depot: Depot.Implementation

  #### Returns default

  - Defined in fs/protocol/private/mmpt.ts:40

### `Static` fromCID

- fromCID(depot: Depot.Implementation, cid: CID<unknown, number, number, Version>): Promise<default>

- #### Parameters

  - ##### depot: Depot.Implementation

  - ##### cid: CID<unknown, number, number, Version>

  #### Returns Promise<default>

  - Defined in fs/protocol/private/mmpt.ts:44

Generated using TypeDoc